# GimpUi.IntComboBox

    const GimpUi = imports.gi.GimpUi;

    let intComboBox = new GimpUi.IntComboBox({
    });

A widget providing a popup menu of integer values (e.g. enums).

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Bin
          - Gtk.ComboBox
            - GimpUi.IntComboBox

## Constructors

- GimpUi.IntComboBox.new

## Methods

- GimpUi.IntComboBox.prototype.connect
- GimpUi.IntComboBox.prototype.get_active
- GimpUi.IntComboBox.prototype.get_active_user_data
- GimpUi.IntComboBox.prototype.get_label
- GimpUi.IntComboBox.prototype.get_layout
- GimpUi.IntComboBox.prototype.set_active
- GimpUi.IntComboBox.prototype.set_active_by_user_data
- GimpUi.IntComboBox.prototype.set_label
- GimpUi.IntComboBox.prototype.set_layout
- GimpUi.IntComboBox.prototype.set_sensitivity

## Properties

- ellipsize
- label
- layout
- value